## ros-iron-moveit-setup-controllers 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_setup_controllers LANGUAGES CXX)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_ros REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(moveit_setup_framework REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
add_definitions(-DQT_NO_KEYWORDS)

qt5_wrap_cpp(MOC_FILES
    include/moveit_setup_controllers/controller_edit_widget.hpp
    include/moveit_setup_controllers/controllers_widget.hpp
    include/moveit_setup_controllers/urdf_modifications_widget.hpp
)

add_library(moveit_setup_controllers
    src/control_xacro_config.cpp
    src/controller_edit_widget.cpp
    src/controllers.cpp
    src/controllers_widget.cpp
    src/controllers_config.cpp
    src/modified_urdf_config.cpp
    src/moveit_controllers_config.cpp
    src/moveit_controllers_widget.cpp
    src/ros2_controllers_config.cpp
    src/ros2_controllers_widget.cpp
    src/urdf_modifications.cpp
    src/urdf_modifications_widget.cpp
    ${MOC_FILES}
)
target_include_directories(moveit_setup_controllers PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/moveit_setup_controllers>
)
ament_target_dependencies(moveit_setup_controllers
  ament_index_cpp
  moveit_setup_framework
  pluginlib
  rclcpp
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  ament_add_gtest(test_controllers test/test_controllers.cpp)
  target_link_libraries(test_controllers moveit_setup_controllers)
endif()

install(DIRECTORY templates DESTINATION share/moveit_setup_controllers)

install(TARGETS moveit_setup_controllers
        EXPORT moveit_setup_controllersTargets
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
        RUNTIME DESTINATION bin
        INCLUDES DESTINATION include/moveit_setup_controllers
)
install(FILES moveit_setup_framework_plugins.xml
        DESTINATION share/moveit_setup_controllers
)
install(DIRECTORY include/
        DESTINATION include/moveit_setup_controllers
)
install(DIRECTORY launch
        DESTINATION share/moveit_setup_controllers
)

ament_export_targets(moveit_setup_controllersTargets HAS_LIBRARY_TARGET)
pluginlib_export_plugin_description_file(moveit_setup_framework moveit_setup_framework_plugins.xml)

ament_package()

=== debian/changelog ===
ros-iron-moveit-setup-controllers (2.8.0-1jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 09 Sep 2023 22:00:00 -0000

ros-iron-moveit-setup-controllers (2.7.4-1jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 17 May 2023 22:00:00 -0000

ros-iron-moveit-setup-controllers (2.7.3-1jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 23 Apr 2023 22:00:00 -0000

ros-iron-moveit-setup-controllers (2.7.2-1jammy) jammy; urgency=high

  * Update pre-commit (#2094 <https://github.com/ros-planning/moveit2/issues/2094>)
  * Contributors: Shobuj Paul

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 17 Apr 2023 22:00:00 -0000

ros-iron-moveit-setup-controllers (2.7.1-1jammy) jammy; urgency=high

  * add missing dependencies on config utils (#1962 <https://github.com/ros-planning/moveit2/issues/1962>)
    when installing ros-humble-moveit-setup-assistant from debs,
    the package cannot currently run due to this missing depend
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 22 Mar 2023 23:00:00 -0000

ros-iron-moveit-setup-controllers (2.7.0-1jammy) jammy; urgency=high

  * Merge PR #1712 <https://github.com/ros-planning/moveit2/issues/1712>: fix clang compiler warnings + stricter CI
  * Add default constructors
    ... as they are not implicitly declared anymore
  * Add default copy/move constructors/assignment operators
    As a user-declared destructor deletes any implicitly-defined move constructor/assignment operator,
    we need to declared them manually. This in turn requires to declare the copy constructor/assignment as well.
  * Fix -Wdelete-non-abstract-non-virtual-dtor
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: Chris Thrasher, Christian Henkel, Cory Crean, Robert Haschke

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jan 2023 23:00:00 -0000

ros-iron-moveit-setup-controllers (2.6.0-1jammy) jammy; urgency=high

  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Cleanup cmake files
    - Replace ament_export_libraries() -> ament_export_targets(HAS_LIBRARY_TARGET)
    - Replace ament_export_include_directories() -> INCLUDES DESTINATION include
    See https://docs.ros.org/en/foxy/How-To-Guides/Ament-CMake-Documentation.html#building-a-library
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * MSA: write the default controller namespace (#1515 <https://github.com/ros-planning/moveit2/issues/1515>)
    * Write the default controller namespace
    * Check for a sane controller type
    * Revert the check for FollowJointTrajectory type
  * Contributors: AndyZe, Robert Haschke, Sebastian Jahr

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 09 Nov 2022 23:00:00 -0000

ros-iron-moveit-setup-controllers (2.5.3-1jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 27 Jul 2022 22:00:00 -0000

ros-iron-moveit-setup-controllers (2.5.2-1jammy) jammy; urgency=high

  * Rename cartesian_limits.yaml (#1422 <https://github.com/ros-planning/moveit2/issues/1422>)
    Co-authored-by: Tyler Weaver <mailto:maybe@tylerjw.dev>
  * [MSA] Testing Framework for MoveItSetupAssistant (#1383 <https://github.com/ros-planning/moveit2/issues/1383>)
    Adds a nice testing harness for easy checking of generated files.
    New Features:
    * Updated sensor configuration format
    * Keep trajectory execution parameters around
    Tests
    * Ported the ROS 1 tests for perception and controllers
    * Added some SRDF Planning Groups tests
  * fix duplicated ros_control joints (#1406 <https://github.com/ros-planning/moveit2/issues/1406>)
    when more than one controller can control a joint,
    that joint would appear multiple times
  * [MSA] Add additional parameters to Controller definitions (#1408 <https://github.com/ros-planning/moveit2/issues/1408>)
  * Merge pull request #1254 <https://github.com/ros-planning/moveit2/issues/1254> from ros-planning/feature/msa
    MoveIt Setup Assistant - Merge the Feature branch
  * [MSA] Clean up extra parentheses (#1366 <https://github.com/ros-planning/moveit2/issues/1366>)
  * [MSA] ros2_control Integration (#1299 <https://github.com/ros-planning/moveit2/issues/1299>)
  * [MSA] Workaround to launch files without controllers (#1275 <https://github.com/ros-planning/moveit2/issues/1275>)
  * [MSA] PR Feedback
  * [MSA] Migration Cleanup (#1253 <https://github.com/ros-planning/moveit2/issues/1253>)
  * [MSA] Initial Controllers and Simulation Steps Port (#1252 <https://github.com/ros-planning/moveit2/issues/1252>)
  * Contributors: AndyZe, David V. Lu!!, Michael Ferguson, Vatan Aksoy Tezer

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 17 Jul 2022 22:00:00 -0000

ros-iron-moveit-setup-controllers (2.5.1-1jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 30 May 2022 22:00:00 -0000



=== debian/control ===
Source: ros-iron-moveit-setup-controllers
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-clang-format <!nocheck>, ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-cmake-lint-cmake <!nocheck>, ros-iron-ament-cmake-xmllint <!nocheck>, ros-iron-ament-index-cpp, ros-iron-ament-lint-auto <!nocheck>, ros-iron-moveit-configs-utils <!nocheck>, ros-iron-moveit-resources-fanuc-moveit-config <!nocheck>, ros-iron-moveit-resources-panda-moveit-config <!nocheck>, ros-iron-moveit-setup-framework, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-moveit-setup-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-ament-index-cpp, ros-iron-moveit-setup-framework, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-ros-workspace
Description: MoveIt Setup Steps for ROS 2 Control

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-moveit-setup-controllers//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
